> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.monite.com/v-2024-05-25/payments/onboarding/via-api/persons/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.monite.com/_mcp/server. # Entity persons ## Overview [Entities](../../../entities/index) of type `organization` that want to use [Monite payment rails](../../index) must provide information about their key persons as part of [payments onboarding](../index). The key persons include the primary representative, business owners, directors, and executives. ## Roles and permissions \[#permissions] To use the `/persons*` endpoints with an [entity user token](../../../entities/users#get-entity-user-token), this entity user must have a role with the `person` permission. If using a [partner-level token](../../../get-started/credentials#generate-partner-token), no special permissions are needed. ## Add a person to an entity \[#add] To add a person to an entity, call [`POST /entities/{entity_id}/persons`](/api/entity-persons/post-persons): ```sh curl -X POST 'https://api.sandbox.monite.com/v1/entities/{entity_id}/persons' \ -H 'X-Monite-Version: 2024-05-25' \ -H 'Authorization: Bearer ACCESS_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "address": { "country": "DE", "line1": "Flughafenstrasse 52", "line2": "Additional information", "postal_code": "10115", "city": "Berlin", "state": "BE" }, "date_of_birth": "1993-03-14", "first_name": "Mary", "last_name": "O\'Brien", "email": "user@example.com", "phone": "+4903023125000", "relationship": { "title": "CEO", "representative": false, "executive": true, "director": false, "owner": false, "percent_ownership": 10 }, "id_number": "NL000099998B57", "ssn_last_4": "0001" }' ``` Notes: * An entity can have only one `relationship.representative`. * `id_number` is an optional field required only for Dutch citizens. * `ssn_last_4` is an optional field required only for US citizens. The successful response returns the ID assigned to this person, along with the information passed in the request: ```json { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "created_at": "2023-03-14T15:08:12.037Z", "updated_at": "2023-03-14T15:08:12.037Z", "first_name": "Mary", "last_name": "O'Brien", ... } ``` ## List all persons \[#list] To get information about all persons associated with the specified entity, call\ [`GET /entities/{entity_id}/persons`](/api/entity-persons/get-persons). ## Retrieve a person To get information about a specific person associated with the specified entity, call\ [`GET /entities/{entity_id}/persons/{person_id}`](/api/entity-persons/get-persons-id). ## Edit a person \[#edit] To edit an existing person of the specified entity, call\ [`PATCH /entities/{entity_id}/persons/{person_id}`](/api/entity-persons/patch-persons-id). ## Delete a person \[#delete] To delete an existing person from the list of persons associated with the specified entity, call\ [`DELETE /entities/{entity_id}/persons/{person_id}`](/api/entity-persons/delete-persons-id). > Learn how to provide information about the key persons of organization-type entities.